{% extends 'layout/page.html.twig' %}

{% block title %}{{post.title}}{% endblock %}

    {% block page_header %}<h1>{{post.title}}</h1>{% endblock %}

{% block command %}
    {% if app.user and app.user.id == post.user.id %}
        <a href="{{ path('post_edit', {'id': post.id}) }}" class="btn btn-primary btn-lg">
            <i class="fa fa-edit"></i> Edit this post
        </a>
    {% endif %}
{% endblock %}

{% block content %}

    <p>
        <small>
            <span class="text-muted">Date:</span>
            <i>{{post.getCreatedAt|date('Y-m-d')}}</i>

            <span class="text-muted ml-4">Autor:</span>
            <i>{{post.user.name}}</i>
        </small>
    </p>

    <div class="text-center">
        <img src="{{post.image}}" class="w-100">
    </div>

    <p>
        <pre>{{post.content}}</pre>
    </p>

    <a href="{{ path('post_index') }}" class="btn btn-secondary mt-5">
        <i class="fa fa-arrow-left"></i> Read more posts
    </a>
{% endblock %}
